import { EventEmitter } from '../../stencil-public-runtime';
export declare class WalletBalance {
  endpoint: string;
  token: string;
  perPageCount: any;
  currentPage: any;
  totalPages: any;
  totalCount: any;
  transactions: any[];
  transactionSelected: EventEmitter;
  componentWillLoad(): Promise<void>;
  /**
   * load data
   */
  loadData(page?: number): Promise<void>;
  /**
   * load next page
   * @returns
   */
  loadMore(): boolean;
  /**
   * render view
   * @returns
   */
  render(): any;
}
