import { r as registerInstance, h, f as Host } from './index-570f8c12.js';

const xeroProfitCss = ":host{display:block}";

const XeroProfit = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    const requestHeaders = new Headers();
    requestHeaders.set('Content-Type', 'application/json');
    requestHeaders.set('Authorization', 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjFDQUY4RTY2NzcyRDZEQzAyOEQ2NzI2RkQwMjYxNTgxNTcwRUZDMTkiLCJ0eXAiOiJKV1QiLCJ4NXQiOiJISy1PWm5jdGJjQW8xbkp2MENZVmdWY09fQmsifQ');
    return fetch('https://api.xero.com/api.xro/2.0/Reports/ProfitAndLoss', {
      headers: requestHeaders
    })
      .then(response => response.json())
      .then(data => {
      console.log(data);
      this.profitData = data;
    });
  }
  render() {
    return (h(Host, null, "Xero test"));
  }
};
XeroProfit.style = xeroProfitCss;

export { XeroProfit as xero_profit };
