import { EventEmitter } from '../../stencil-public-runtime';
export declare class PlugnStores {
  endpoint: string;
  perPageCount: any;
  currentPage: any;
  totalPages: any;
  totalCount: any;
  stores: any[];
  storeSelected: EventEmitter;
  componentWillLoad(): Promise<void>;
  /**
   * load data
   */
  loadData(page?: number): Promise<void>;
  /**
   * load next page
   * @returns
   */
  loadMore(): boolean;
  render(): any;
}
